<template>
  <div style="width: 30%">
    <div class="overlay"></div>
    <v-navigation-drawer
      v-model="drawer"
      fixed
      right
      hide-overlay
      style="
        width: 70%; 
        min-width: 275px
        box-shadow: -100px 0px 800px rgb(0, 0, 0, 0.7);
        z-index:9999
"
    >
      <v-btn
        :ripple="false"
        icon
        style="position: absolute; top: 4%; right: 7%"
        @click.stop="drawer = !drawer"
      >
        <v-icon x-large pr="10">mdi-close</v-icon>
      </v-btn>
      <v-list nav style="margin-top: 100px">
        <v-list-item-group height="100%" mt>
          <v-list-item
            value="0"
            @click="
              drawer = !drawer;
              $emit('scroll-to-ref', 'home');
            "
          >
            <p
              class="h1-mobile"
              :class="0 === selectedMenuItem ? 'selected' : ''"
            >
              {{ $t("menu.home") }}
            </p>
          </v-list-item>

          <v-list-item
            value="1"
            @click="
              drawer = !drawer;
              $emit('scroll-to-ref', 'how-to-join');
            "
          >
            <p
              class="h1-mobile"
              v-bind:class="{ selected: 1 == selectedMenuItem }"
            >
              {{ $t("menu.how_to_join") }}
            </p>
          </v-list-item>

          <v-list-item
            value="2"
            @click="
              drawer = !drawer;
              $emit('scroll-to-ref', 'contact');
            "
          >
            <p
              class="h1-mobile"
              v-bind:class="{ selected: 2 == selectedMenuItem }"
            >
              {{ $t("menu.contact") }}
            </p>
          </v-list-item>
        </v-list-item-group>
      </v-list>
    </v-navigation-drawer>

    <nav class="navbar">
      <img src="../../assets/logo.svg" alt="logo" />
      <v-app-bar-nav-icon
        @click.stop="drawer = !drawer"
        style="margin-right: 5%"
        x-large
      ></v-app-bar-nav-icon>

      <!-- <v-btn
      :ripple="false"
      icon
      color="pink"
      id="no-background-hover"
      style="margin-right: 5%"
      @click="showMenu"
    >
      <v-icon x-large pr="10">mdi-menu</v-icon>
    </v-btn> -->
    </nav>
  </div>
</template>

<script>
import "../../assets/style.scss";
export default {
  name: "MenuMobile",
  props: {
    selectedMenuItem: Number,
  },
  data() {
    return { drawer: false };
  },
  watch: {
    selectedMenuItem() {
      this.drawer = false;
    },
  },
  methods: {},
};
</script>

<style scoped>
@import "../../assets/style.scss";

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 5;
  width: 100%;
  height: 75px;
  background-color: rgba(255, 255, 255, 0.8);
  display: flex;
  justify-content: space-between;
  align-items: center;
  box-shadow: 3px 3px 5px rgb(187, 187, 187, 0.2);
}
.h1-mobile {
  margin-top: 30px;
}
.selected {
  color: #ff8547 !important;
}
.v-list-item {
  height: 80px;
}
p {
  text-transform: uppercase;
}
.v-icon,
p {
  color: var(--dark100) !important;
}
</style>
